QGIS Application - Bug report #15438
Default year in date picker widget not helpful
2016-08-15 12:47 AM - Dan Isaacs

Status: Closed
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:2.16.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 23364

Description

In the Date/Time widget for form entry, the default year is always 1900 (presumably interpreting the zero of an empty cell?), but this is
really unhelpful as the only way to solve it is to manually type in the year, rather defeating the object of a widget (to speed up data entry).
Qgis 2.16 has added a today's date highlight to the Date/Time Widget, but this is of little use if the default position is 116 years away.

History

#1 - 2016-12-30 01:08 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in master. Please reopen if necessary.

#2 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown
